Class | Reference
In: | lib/facets/more/reference.rb
Parent: | Object

# Reference

Reference provides a way to access object indirectly. This allows for the object itself to be changed on the fly.

## Synopsis

      a = "HELLO"
      b = ref(a)
      puts b    #=> "HELLO"
      c = 10
      b.become(c)
      puts b    #=> "10"

### Methods

__value__ become method_missing new self

### Public Class methods

new(obj)

### Public Instance methods

__value__()
become(obj)
method_missing(*args, &block)
self()

Alias for #value

[Validate]